[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# OwnerFormDesignerModified

Executes the routine which notifies the form designer when the specified component has been changed.

## Declaration

Source position: lclproc.pas line 111

`procedure OwnerFormDesignerModified(`
`AComponent: TComponent`
`);`

## Arguments

`AComponent` |  | The modified component which needs to be updated on its form design surface.

## Description

The forms.pp unit provides a private implementation in its IfOwnerIsFormThenDesignerModified routine which is assigned to the variable during unit initialization.